package com.ekexiu.portal.po;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.enums.DE;
@PrimaryKey({"id"})
@Table
public class Project {
	private String id;
	private String professorId;
	private String startMonth;
	private String stopMonth;
	private String name;
	private String descp;
	
	@Column(DE.id_32)
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	@Column(DE.time_de)
	public String getStartMonth() {
		return startMonth;
	}
	public void setStartMonth(String startMonth) {
		this.startMonth = startMonth;
	}
	@Column(DE.Time_de)
	public String getStopMonth() {
		return stopMonth;
	}
	public void setStopMonth(String stopMonth) {
		this.stopMonth = stopMonth;
	}
	@Column(DE.id_32)
	public String getProfessorId() {
		return professorId;
	}
	public void setProfessorId(String professorId) {
		this.professorId = professorId;
	}

	@Column(value=DE.string_de,dbType="TEXT")
	public String getName() {
		return name;
	}
	public void setName(String title) {
		this.name = title;
	}

	@Column(value=DE.String_de,dbType="TEXT")
	public String getDescp() {
		return descp;
	}
	public void setDescp(String descp) {
		this.descp = descp;
	}
	
}
